Bug 479237 - RHEL4 kvm virtio: selinux-policy-targeted support for virtio block devices
RHEL4 kvm virtio: selinux-policy-targeted support for virtio block devices
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: selinux-policy-targeted (Show other bugs)
4.8
All Linux
low Severity medium
: rc
: ---
Assigned To: Miroslav Grepl
BaseOS QE
:
Depends On:
Blocks: 446215
  Show dependency treegraph
 
Reported: 2009-01-08 03:59 EST by Chris Lalancette
Modified: 2010-07-19 09:07 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-18 16:36:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to correctly label /dev/vd* devices as fixed_disk_device_t (605 bytes, patch)
2009-01-08 04:00 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2009-01-08 03:59:29 EST
A KVM guest with virtio block devices needs to properly label the block devices as system_u:object_r:fixed_disk_device_t

We simply need the policy to set the file context /dev/vd* correctly.
Comment 1 Chris Lalancette 2009-01-08 04:00:19 EST
Created attachment 328450 [details]
Patch to correctly label /dev/vd* devices as fixed_disk_device_t
Comment 3 RHEL Product and Program Management 2009-01-23 11:00:32 EST
This request was evaluated by Red Hat Product Management for
inclusion, but this component is not scheduled to be updated in
the current Red Hat Enterprise Linux release. If you would like
this request to be reviewed for the next minor release, ask your
support representative to set the next rhel-x.y flag to "?".
Comment 6 Chris Lalancette 2009-02-27 13:42:23 EST
Dan,
     Ping?  I totally forgot about this BZ.  Is there any way to get this patch into 4.8 selinux-policy-targeted?

Chris Lalancette
Comment 7 Miroslav Grepl 2009-03-04 11:23:02 EST
Fixed in selinux-policy-targeted-1.17.30-2.152.el4
Comment 11 errata-xmlrpc 2009-05-18 16:36:46 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2009-1026.html
Comment 12 Chris Lalancette 2010-07-19 09:07:06 EDT
Clearing a needinfo request.

Chris Lalancette

Note You need to log in before you can comment on or make changes to this bug.